#pragma once
#include "constants.h"
#include "EntityPlayer.h"
class HUD
{
private:

	TextureManager itemTexture;
	TextureManager hudTexture; 
	TextureManager armorOverlayTexture;
	TextureManager itemInfoTexture;
	TextureManager hpTexture; 
	TextureManager expTexture; 
	TextureManager numbersTexture;

	Image itemInfoImage;
	Image hudImage;
	Image armorOverlayImage;
	Image hpImage;
	Image expImage;
	Image numImage;
	Image itemImage;

	TextDX  *statsFont;
	TextDX  *itemNameFont;
	TextDX  *itemInfoFont;

	

public:

	

	HUD(void);
	~HUD(void);
	void initialize(Game *theGame);
	void draw(EntityPlayer& thePlayer, int mouseX, int mouseY);
	void drawOverlay(EntityPlayer& thePlayer, int mouseX, int mouseY);
	void releaseAll();
	void resetAll();
};

