#include "ItemInfo.h"
#include "infochat.h"

ItemInfo::ItemInfo(std::string theName, std::string theLore, int id, int tileIndex, ITEM_SLOT itemType) { 
	xCoord = 0; 
	yCoord = 0; 
	ItemName = theName; 
	itemID = id; 
	itemTileIndex = tileIndex; 
	type = itemType; 
	ItemLore = theLore;
}

std::string ItemInfo::getItemLore() {
	std::string toReturn = ItemLore;
	findReplace(toReturn, "%meta%", std::to_string(metaData));
	return toReturn;
}
void ItemInfo::findReplace(std::string& str, const std::string& oldStr, const std::string& newStr)
{
  size_t pos = 0;
  while((pos = str.find(oldStr, pos)) != std::string::npos)
  {
     str.replace(pos, oldStr.length(), newStr);
     pos += newStr.length();
  }
}