#ifndef _ITEMMANAGER_H            // Prevent multiple definitions if this 
#define _ITEMMANAGER_H            // file is included in more than one place
#define WIN32_LEAN_AND_MEAN

#include "constants.h"
#include <string>
#include "Item.h"
#include "EntityPlayer.h"
#include "levelManager.h"
#include "ItemInfo.h"
#include "infochat.h"

const int RND_MAX_ITEMS = 1000;
// Used for everything with items. From what they do to what spawns.
class ItemManager
{
private:

public:
    ItemManager();
	void ItemManager::handleItemUse(EntityPlayer& thePlayer, levelManager& theLevel, ItemInfo& theItem);
	void ItemManager::handleItemClick(EntityPlayer& thePlayer, levelManager& theLevel, ItemInfo& theItem, int index);
	int ItemManager::getItemStrength(Item& theItem);
	int ItemManager::getItemDefence(Item& theItem);
	void ItemManager::tickItem(Item& theItem); // Called on rings to use their effects.
	int itemPool[RND_MAX_ITEMS];
	
};
#endif

